Skip to main content
GET
/
core
/
price
/
samples
/
{countryISO}
Document Samples by Country
curl --request GET \
  --url https://rest.kyckr.com/core/price/samples/{countryISO} \
  --header 'Authorization: <api-key>'
import requests

url = "https://rest.kyckr.com/core/price/samples/{countryISO}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://rest.kyckr.com/core/price/samples/{countryISO}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "countryISOField": "IE",
    "filingDescriptionField": "A1 APPLICATION TO REGISTER AS A NEW COMPANY,",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/A1 APPLICATION TO REGISTER AS A NEW COMPANY,.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "ACCOUNT DETAILS",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/ACCOUNT DETAILS.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Annual Accounts",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Annual Accounts.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Articles of Association",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Articles of Association.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "B1 ANNUAL RETURN",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/B1 ANNUAL RETURN.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "B10 CHANGE IN DIRSSEC",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/B10 CHANGE IN DIRSSEC.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "B1C ANNUAL RETURN - GENERAL  ACCOUNT DETAILS",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/B1C ANNUAL RETURN - GENERAL  ACCOUNT DETAILS.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "B1C ANNUAL RETURN - GENERAL  B1 ANNUAL RETURN",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/B1C ANNUAL RETURN - GENERAL  B1 ANNUAL RETURN.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Beneficial Ownership Report",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Beneficial Ownership Report.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "CERTIFICATE2",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/CERTIFICATE2.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Certificates",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Certificates.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Change in Situation of Reg Office",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Change in Situation of Reg Office.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Change of Officers",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Change of Officers.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Change of Registered Address",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Change of Registered Address.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Company Change of Name",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Company Change of Name.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Company Charge or Mortgage",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Company Charge or Mortgage.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "COMPANY CONSTITUTION",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/COMPANY CONSTITUTION.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Company Profile",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Company Profile.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Immediate Report",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Immediate Report.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Incorporation Documents",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Incorporation Documents.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Insolvency Proceedings",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Insolvency Proceedings.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Memorandum and articles (Memorandum and Articles of Association)",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Memorandum and articles (Memorandum and Articles of Association).pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "Memorandum and Articles of Association",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/Memorandum and Articles of Association.pdf"
  },
  {
    "countryISOField": "IE",
    "filingDescriptionField": "New Investigation",
    "downloadLocationField": "https://prodws.kyckr.eu/SampleDocuments/Ireland/New Investigation.pdf"
  }
]

Authorizations

Authorization
string
header
required

Path Parameters

countryISO
string
required

2-digit ISO country code

Response

200 - application/json

Example response

countryISOField
string
filingDescriptionField
string
downloadLocationField
string